Subject: Re: [NOBBC] '58 Jag XK-150 Repair Question

From: Bill Badstubner <[email-masked]>
Date: Thu, 1 Nov 2012 15:32:47 -0700

Hi Robin - Thanks for the link; it will be of great help on a number
of "really should do" projects on this car. You're right - I might as well
remove and rebuild the column while I'm at it. Would be good to have the
horn working again. I'd be delighted to have you come around and have a
look at the car. There might even be some Guinness in the garage 'fridge.
E-mail me directly and we'll set something up. Thanks again for your help!
-Bill Badstubner
On Sun, Oct 28, 2012 at 3:35 PM, Robin Jackson <[email-masked]> wrote:

> Brad - that's a job I've not done but*  *did find the following, which may
> be of some help:
> http://jag2jag.com/forum/topics/the-otto-mueller-xk-150-rrr
>
> There is a section with pictures on steering column restoration. It looks
> to me like the entire column should be removed and repaired as necessary
> while you are doing the coupling replacement. If you like, I could take a
> look to give my 2 cents worth!. Best,Rob
>
> On Sat, Oct 27, 2012 at 10:26 PM, Bill Badstubner
> <[email-masked]>wrote:
>
> > Have any of you fellow XK owners in the club had to replace the rubber
> > coupling that connects the upper and lower portions of the steering
> column
> > on your car?
> >
> > On my car, this looks like the original rubber component now hardened,
> > badly checked and with a significant crack partway down the long axis of
> > the coupling. I have a new replacement coupling sourced from XK's
> Unlimited
> > but not a clue as to the correct procedure for making the replacement.
> Does
> > the entire column have to come out of the car, or can I simply disconnect
> > the lower column at its connection (u-joint) to the steering rack to
> > release the tension on the coupling and install the relacement with the
> > upper column still on the car?
> >
> > There is more than the usual amount of play in the steering, making me
> > reluctant to drive the car. If it needs to go to a shop for this fix it
> > will probably have to get there on a trailer.
> >
> > Thanks for any advice.
> >
> > Bill Badstubner
> > Santa Rosa
> > '53 MG-TD
> > '58 Jaguar XK-150 FHC
> >
> > Why would anyone own an old British sports car? Because the car needs
> you.
> > _______________________________________________
> > [email-masked]
> > Donate: http://www.team.net/donate.html
> > Suggested annual donation  $11.47
> > Archive: http://www.team.net/archive
> > Forums: http://www.team.net/forums
> > Unsubscribe/Manage:
> > http://autox.team.net/mailman/options/nobbc/[email-masked]
> _______________________________________________
> [email-masked]
> Donate: http://www.team.net/donate.html
> Suggested annual donation  $11.47
> Archive: http://www.team.net/archive
> Forums: http://www.team.net/forums
> Unsubscribe/Manage <http://www.team.net/forumsUnsubscribe/Manage>:
> http://autox.team.net/mailman/options/nobbc/[email-masked]
_______________________________________________
[email-masked]
Archive: http://www.team.net/archive